# DominantAxis

## Overview

DominantAxis is an Enum that defines the priority axis when specifying the size of GUI elements.

This is used in the DominantAxis property of UIAspectRatioConstraint and determines in which axis (horizontal or vertical) should be prioritized when UI elements scale larger than their parent.

## Items

| Name   | Value | Description                              |
| ------ | ----- | ---------------------------------------- |
| Width  | 0     | Prioritizes the horizontal axis (width). |
| Height | 1     | Prioritizes the vertical axis (height).  |

## See also

{% content-ref url="/pages/EScSNhQiHvJgf8GmuvoX" %}
[UIAspectRatioConstraint](/development/api-reference/classes/uiaspectratioconstraint.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/dominantaxis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
